# Uses of Enum Class
org.bukkit.Effect.Type

Packages that use Effect.Type
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of Effect.Type in org.bukkit

Methods in org.bukkit that return Effect.Type
Modifier and Type
Method
Description
`@NotNull Effect.Type`
Effect.`getType()`
`static Effect.Type`
Effect.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Effect.Type[]`
Effect.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.